pydo.vector_databases.post_restore_backup()
Generated on 7 Jul 2026
from pydo version
v0.39.0
Usage
client.vector_databases.post_restore_backup(
id="\"example string\"",
backup_id="\"example string\"",
body={
"backup_id": "123e4567-e89b-12d3-a456-426614174000",
"id": "example string",
},
)Description
To restore a vector database from a backup, send a POST request to /v2/vector-databases/{id}/backups/{backup_id}/restore. The restore runs asynchronously; use the restore-status endpoint to monitor its progress.
Parameters
idstring requiredRequired. ID of the vector database.
backup_idstring requiredRequired. ID of the backup to restore from.
backup_idstring optionalExample:
123e4567-e89b-12d3-a456-426614174000Required. ID of the backup to restore from.
idstring optionalExample:
example stringRequired. ID of the vector database.
Request Sample
Response Example
More Information
See /v2/vector-databases/{id}/backups/{backup_id}/restore in the API reference for additional detail on responses, headers, parameters, and more.